﻿using UnityEngine;
using System.Collections;

public class Win : MonoBehaviour {

	public GUISkin theSkin;
	
	public AudioClip soundWin;
	public AudioClip soundLose;
	
	private int enemyAlive;
	private int unitAlive;
	private int score;
	
	private string winText = "You Win!";

	// Use this for initialization
	void Start () {
	
		enemyAlive = PlayerPrefs.GetInt("enemyAlive");
		unitAlive = PlayerPrefs.GetInt("unitAlive");
		score = PlayerPrefs.GetInt("lastScore");
	
		if (enemyAlive <= 0) {
			playWin();
		} else if (unitAlive <= 0) {
			playLose();
			winText = "You Lost! Try again";
		}
	}
	
	// Update is called once per frame
	void Update () {

		if (Input.GetMouseButtonDown (0)) {

			Application.LoadLevel("Title");

		}
	
	}
	
	void OnGUI() {
		
		GUI.skin = theSkin;
		
		GUI.skin.label.fontSize = GUI.skin.box.fontSize = GUI.skin.button.fontSize = 24;
		GUI.Label(new Rect(Screen.width/2 - 60, 100, Screen.width - 120, 100), winText);
		
		string labelsText = "Score: \nEnemy Alive:\nUnits Alive: \n";
		GUI.skin.label.fontSize = GUI.skin.box.fontSize = GUI.skin.button.fontSize = 16;
		GUI.Label(new Rect(Screen.width/2 - 100,220, Screen.width - 120, 100), labelsText);
		
		string dynText = score + "\n" + unitAlive + "\n" + enemyAlive + "\n";
		GUI.skin.label.fontSize = GUI.skin.box.fontSize = GUI.skin.button.fontSize = 16;
		GUI.Label(new Rect(Screen.width/2 + 40, 220, Screen.width - 120, 100), dynText);
		
		// GUI.Box(new Rect(Screen.width - 140, 10, 120, 40), "Score: " + score + "");
		
		
	}
	
	public void playWin(){
		audio.PlayOneShot(soundWin);
	}
	
	public void playLose(){
		audio.PlayOneShot(soundLose);
	}
}
